//
//  Shader.vsh
//  gltest00
//
//  Created by Nakahashi Teruyuki on 13/02/15.
//

attribute vec4 position;
attribute vec2 a_texCoord;
attribute vec4 a_color;

//varying lowp vec4 colorVarying;
varying vec2 v_texCoord;
varying vec4 v_color;
varying vec4 v_position;

//// 130509
//varyint vec3 v_position;

uniform mat4 modelViewProjectionMatrix;
//uniform mat3 normalMatrix;

//uniform int use_color;

uniform float screen_aspect;

void main()
{
    //vec3 eyeNormal = normalize(normalMatrix * normal);
    //vec3 lightPosition = vec3(0.0, 0.0, 1.0);
    //vec4 diffuseColor = vec4(0.4, 0.4, 1.0, 1.0);
    //float nDotVP = max(0.0, dot(eyeNormal, normalize(lightPosition)));
    //colorVarying = diffuseColor * nDotVP;
    
    gl_Position = modelViewProjectionMatrix * position;
    
    //// 130509
    //v_potision = gl_Position;
    
    v_texCoord = a_texCoord;
    
    //if (use_color != 0) {
        v_color = a_color;
    //} else {
    //    v_color.a = 1.0;
    //    v_color.r = 1.0;
    //    v_color.g = 1.0;
    //    v_color.b = 1.0;
    //}
    
    v_position = position;
    //v_position.xy = (position.xy + 2.0) / 4.0;
    v_position.x = (position.x * screen_aspect + 2.0) / 4.0;
    v_position.y = (position.y + 2.0) / 4.0;
}
