//
//  Shader.fsh
//  gltest00
//
//  Created by Nakahashi Teruyuki on 13/02/15.
//

/*
precision mediump float;
void main() {
    gl_FragColor = vec4(0.0, 1.0, 0.0, 1.0);
}
*/


varying highp vec2 v_texCoord;

varying lowp vec4 v_color;

uniform sampler2D renderframe;
uniform lowp sampler2D renderframe2;
uniform lowp sampler2D renderframe3;
uniform int use_alpha;
uniform int use_color;


uniform lowp float alpha_value;

void main()
{
    
    lowp vec4 col1;
    
    
    col1 = texture2D(renderframe, v_texCoord);
    
    
    if (use_alpha != 0) {

        col1.a = col1.a * alpha_value;
        
    }
    
    
    
    if (use_color != 0) {
        col1 = col1 * v_color;
    }

    
    gl_FragColor = col1;
    
    
    /*
    lowp vec4 col1;
    lowp vec4 col2;
    lowp vec4 col3;
    
    col1 = texture2D(renderframe, v_texCoord);
    
    col2 = col1;
    
    if (use_alpha != 0) {
        
        col2.a = col1.a * alpha_value;
        
    }
    
    col2.a = 0.0;
    col2.r = 0.0;
    
    if (use_color != 0) {
        col3 = col2 * v_color;
    } else {
        col3 = col2;
    }
    
    
    gl_FragColor = col3;
    */

}
