//
//  Shader.fsh
//  gltest00
//
//  Created by Nakahashi Teruyuki on 13/02/15.
//

varying highp vec2 v_texCoord;




varying mediump vec4 v_color;
//varying lowp vec4 v_color;

uniform lowp sampler2D renderframe;
uniform lowp sampler2D renderframe2;
// 130618
uniform lowp sampler2D renderframe3;

uniform int use_alpha;
uniform int use_color;
uniform mediump float alpha_value;
//uniform lowp float alpha_value;

//uniform highp float color_table_r[256];
//uniform highp float color_table_g[256];
//uniform highp float color_table_b[256];


void main()
{
    
    mediump vec4 col1;
    //lowp vec4 col1;
    
    
    col1 = texture2D(renderframe, v_texCoord);
    
    if (use_alpha != 0) {

        col1.a = col1.a * alpha_value;
        
    }
    
    if (use_color != 0) {
        col1 = col1 * v_color;
    }
    
    
    /*
    highp vec4 col2 = col1 * 255.999;
    
    int ir = int(col2.r);
    int ig = int(col2.g);
    int ib = int(col2.b);
    
    col1.r = color_table_r[ir];
    col1.g = color_table_g[ig];
    col1.b = color_table_b[ib];
     */
    
    //
    // 130618
    //
    
    mediump vec4 col5;
    mediump float x, y;
    mediump float trat = 256.0 / 320.0;
    y = 0.0;
    x = col1.r * trat;
    col5 = texture2D(renderframe3, vec2(x, y));
    col1.r = col5.r;
    x = col1.g * trat;
    col5 = texture2D(renderframe3, vec2(x, y));
    col1.g = col5.g;
    x = col1.b * trat;
    col5 = texture2D(renderframe3, vec2(x, y));
    col1.b = col5.b;
    
    gl_FragColor = col1;
    
}
