//
//  Shader.fsh
//  gltest00
//
//  Created by Nakahashi Teruyuki on 13/02/15.
//

varying highp vec2 v_texCoord;



varying mediump vec4 v_color;
//varying lowp vec4 v_color;

varying highp vec4 v_position;

uniform lowp sampler2D renderframe;
uniform lowp sampler2D renderframe2;
uniform lowp sampler2D renderframe3;

uniform int use_alpha;
uniform int use_color;
uniform mediump float alpha_value;
//uniform lowp float alpha_value;

//uniform highp float color_table_r[256];
//uniform highp float color_table_g[256];
//uniform highp float color_table_b[256];


void main()
{
    
    mediump vec4 col1;
    mediump vec4 col2;
    mediump vec4 col3;
    mediump vec4 col5;
    
    //lowp vec4 col1;
    
    
    col1 = texture2D(renderframe2, v_position.xy);
    col2 = texture2D(renderframe, v_texCoord);
    if (use_alpha != 0) {
        col2.a = col2.a * alpha_value;
    }
    if (use_color != 0) {
        col2 = col2 * v_color;
    }
    
    col3 = col2;
    
    mediump float rat = 0.25;
    
    /*
    highp float gray = 0.25 * col1.r + 0.5 * col1.g + 0.25 * col1.b;
    if (gray >= 0.5) {
        col3.rgb = ((1.0 - (1.0 - col2.rgb) * (1.0 - 2.0 * (gray - 0.5)))) * rat + (1.0 - rat) * col2.rgb;
    } else {
        col3.rgb = (col2.rgb * 2.0 * gray) * rat + (1.0 - rat) * col2.rgb;
    }
     */
    mediump float g = 0.25 * col1.r + 0.5 * col1.g + 0.25 * col1.b - 0.5;
    mediump float ga = abs(g);
    mediump vec3 c;
    c.rgb = col2.rgb;
    col3.rgb = (c * (- ga - ga) + g + ga) * rat + c.rgb;
    
    
    
    /*
    mediump float x, y;
    mediump float trat = 256.0 / 320.0;
    y = 0.0;
    x = col3.r * trat;
    col5 = texture2D(renderframe3, vec2(x, y));
    col3.r = col5.r;
    x = col3.g * trat;
    col5 = texture2D(renderframe3, vec2(x, y));
    col3.g = col5.g;
    x = col3.b * trat;
    col5 = texture2D(renderframe3, vec2(x, y));
    col3.b = col5.b;
     */
    
    mediump float x, y;
    mediump float trat = 256.0 / 320.0;
    y = 0.0;
    
    mediump vec3 p0;
    p0.rgb = col3.rgb * trat;
    
    col5 = texture2D(renderframe3, vec2(p0.r, y));
    col3.r = col5.r;

    col5 = texture2D(renderframe3, vec2(p0.g, y));
    col3.g = col5.g;

    col5 = texture2D(renderframe3, vec2(p0.b, y));
    col3.b = col5.b;


    
    
    
    gl_FragColor = col3;
    
}
